[Buildroot] [PATCH] package/enlightenment: remove uClibc (legacy) workaround

Romain Naour romain.naour at gmail.com
Sat Dec 10 15:50:46 UTC 2016


Buildroot doesn't support uClibc (legacy) since 2016.02 release, so
this workaround is not needed anymore.

Signed-off-by: Romain Naour <romain.naour at gmail.com>
---
 package/enlightenment/enlightenment.mk | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/package/enlightenment/enlightenment.mk b/package/enlightenment/enlightenment.mk
index 01448ee..7037afe 100644
--- a/package/enlightenment/enlightenment.mk
+++ b/package/enlightenment/enlightenment.mk
@@ -30,11 +30,6 @@ else
 ENLIGHTENMENT_CONF_OPTS += --disable-systemd
 endif
 
-# uClibc has an old incomplete sys/ptrace.h for powerpc & sparc
-ifeq ($(BR2_TOOLCHAIN_USES_UCLIBC)$(BR2_powerpc)$(BR2_sparc),yy)
-ENLIGHTENMENT_CONF_ENV += ac_cv_header_sys_ptrace_h=no
-endif
-
 # alsa backend needs mixer support
 ifeq ($(BR2_PACKAGE_ALSA_LIB)$(BR2_PACKAGE_ALSA_LIB_MIXER),yy)
 ENLIGHTENMENT_DEPENDENCIES += alsa-lib
-- 
2.5.5



More information about the buildroot mailing list